var sumaiva = 0,sumatotaliva = 0;
    var sumaivareinicia = 0,sumaishreinicia=0;
    var sumaish = 0,sumatotalish = 0;
	var mto,depos,estmto,camamto,cuna,masc,perex,ivatot=0,sbtot=0,sbtotreinicia=0,comin=0,totg,totgreinicia,subtotg,ivatotg,totalg,ishgral=0,subtotgreinicia,ivatotgreinicia,totalgreinicia,totgre = 0;
	function vistaprevia(nom,img,nomcli,ap,am){
		var fini = "",ffin="",idd="",esto="",camae="",cun="",mkta="",vpeex="",mto="",depos="",sbt="",iva="",ishosp="",noanios="",nomeses="",nodias="",nosem="",totnoche="",totsem="",totmes="",totanos="",dolar="",frecuencia="",periodolim="",limpieza="",blanco="",npers="",nolimpiezas="",noblancos="",nocamaex="";clavesistema="";vistamostrar="";
		
		var tipocomp = $('#tipocomp').val();
		var idioma = $('#idioma').val();
		$('input[name="fini[]"]').each(function() {fini += $(this).val() + ",";});
		$('input[name="ffin[]"]').each(function() {ffin += $(this).val() + ",";});
		$('input[name="idd[]"]').each(function() {idd += $(this).val() + ",";});
		$('input[name="estmnto2[]"]').each(function() {esto += $(this).val() + ",";});
		$('input[name="camaex2[]"]').each(function() {camae += $(this).val() + ",";});
		$('input[name="cuna2[]"]').each(function() {cun += $(this).val() + ",";});
		$('input[name="mascota2[]"]').each(function() {mkta += $(this).val() + ",";});
		$('input[name="persext[]"]').each(function() {vpeex += $(this).val() + ",";});
		$('input[name="monto[]"]').each(function() {mto += $(this).val() + ",";});
		$('input[name="deposito[]"]').each(function() {depos += $(this).val() + ",";});
		$('input[name="subtotal[]"]').each(function() {sbt += $(this).val() + ",";});
		$('input[name="iva[]"]').each(function() {iva += $(this).val() + ",";});
		$('input[name="ish[]"]').each(function() {ishosp += $(this).val() + ",";});
		$('input[name="noanios[]"]').each(function() {noanios += $(this).val() + ",";});
		$('input[name="nomeses[]"]').each(function() {nomeses += $(this).val() + ",";});
		$('input[name="nodias[]"]').each(function() {nodias += $(this).val() + ",";});
		$('input[name="nosem[]"]').each(function() {nosem += $(this).val() + ",";});
		$('input[name="totnoche[]"]').each(function() {totnoche += $(this).val() + ",";});
		$('input[name="totsem[]"]').each(function() {totsem += $(this).val() + ",";});
		$('input[name="totmes[]"]').each(function() {totmes += $(this).val() + ",";});
		$('input[name="totanos[]"]').each(function() {totanos += $(this).val() + ",";});
		$('input[name="divisa[]"]').each(function() {dolar += $(this).val() + ",";});
		$('input[name="frecuencia[]"]').each(function() {frecuencia += $(this).val() + ",";});
		$('input[name="periodolim[]"]').each(function() {periodolim += $(this).val() + ",";});
		$('input[name="limpcost[]"]').each(function() {limpieza += $(this).val() + ",";});
		$('input[name="blancost[]"]').each(function() {blanco += $(this).val() + ",";});
		$('input[name="npers[]"]').each(function() {npers += $(this).val() + ",";});
		$('input[name="limpiezas[]"]').each(function() {nolimpiezas += $(this).val() + ",";});
		$('input[name="blancos[]"]').each(function() {noblancos += $(this).val() + ",";});
		$('input[name="camaex[]"]').each(function() {nocamaex += $(this).val() + ",";});
		$('input[name="clavesis[]"]').each(function() {clavesistema += $(this).val() + ",";});
		$('input[name="mailsi[]"]').each(function() {vistamostrar += $(this).val() + ",";});
		
		//eliminamos la última coma.
        fini = fini.substring(0, fini.length-1);
		ffin = ffin.substring(0, ffin.length-1);
        idd = idd.substring(0, idd.length-1);
        esto = esto.substring(0, esto.length-1);
        camae = camae.substring(0, camae.length-1);
        cun = cun.substring(0, cun.length-1);
        mkta = mkta.substring(0, mkta.length-1);
        vpeex = vpeex.substring(0, vpeex.length-1);
        mto = mto.substring(0, mto.length-1);
        depos = depos.substring(0, depos.length-1);
        sbt = sbt.substring(0, sbt.length-1);
        iva = iva.substring(0, iva.length-1);
        ishosp = ishosp.substring(0, ishosp.length-1);
        noanios = noanios.substring(0, noanios.length-1);
        nomeses = nomeses.substring(0, nomeses.length-1);
        nodias = nodias.substring(0, nodias.length-1);
        nosem = nosem.substring(0, nosem.length-1);
        totnoche = totnoche.substring(0, totnoche.length-1);
        totsem = totsem.substring(0, totsem.length-1);
        totmes = totmes.substring(0, totmes.length-1);
        totanos = totanos.substring(0, totanos.length-1);
        dolar = dolar.substring(0, dolar.length-1);
        frecuencia = frecuencia.substring(0, frecuencia.length-1);
        periodolim = periodolim.substring(0, periodolim.length-1);
        limpieza = limpieza.substring(0, limpieza.length-1);
        blanco = blanco.substring(0, blanco.length-1);
        npers = npers.substring(0, npers.length-1);
        nolimpiezas = nolimpiezas.substring(0, nolimpiezas.length-1);
        noblancos = noblancos.substring(0, noblancos.length-1);
        nocamaex = nocamaex.substring(0, nocamaex.length-1);
        clavesistema = clavesistema.substring(0, clavesistema.length-1);
        vistamostrar = vistamostrar.substring(0, vistamostrar.length-1);
        
		$.post("generavistaprevia.php", {nom:nom,img:img,idioma:idioma,nomcli:nomcli,ap:ap,am:am,idd:idd,fini:fini,ffin:ffin,esto:esto,camae:camae,cun:cun,mkta:mkta,vpeex:vpeex,mto:mto,depos:depos,sbt:sbt,iva:iva,ishosp:ishosp,noanios:noanios,nomeses:nomeses,nodias:nodias,nosem:nosem,totnoche:totnoche,totsem:totsem,totmes:totmes,totanos:totanos,dolar:dolar,frecuencia:frecuencia,periodolim:periodolim,limpieza:limpieza,blanco:blanco,npers:npers,nolimpiezas:nolimpiezas,noblancos:noblancos,nocamaex:nocamaex,tipocomp:tipocomp,clavesistema:clavesistema,vistamostrar:vistamostrar}, function(data){
		  $("#contenidocotizacion").html(data);
		   });	
	}
    var inc = 1;
	var ids=new Array();
	tipocomp = document.getElementById("tipocomp").value;
	function creartablas(idprop,clave,fi,ff,nomprop,clv,totpagar,deposito,capacidad,limite,tipotarifa,consecutivo,iddep,descripciondepa,totnoche,totsemana,totmes,taanual,v1,clavesistema,carpeta,limpcost,frec,periodolim,limpieza,blancost,mesesblan,anios,meses,semred,restodias,descing,nodepto,agencia,idcheck,no,tc,tipocomp){	
           tipocompr = document.getElementById("tipocomp").value;
			
		if($("[id="+idcheck+"]").is(':checked')){
		   ind = inc-1;
		   val = document.getElementById(idcheck).value = inc;
           $(".loadi").fadeIn('slow');load=true;		   
		   $.post("cotiza.php", {idprop:idprop,clave:clave,fi:fi,ff:ff,nomprop:nomprop,clv:clv,totpagar:totpagar,deposito:deposito,capacidad:capacidad,limite:limite,tipotarifa:tipotarifa,consecutivo:consecutivo,iddep:iddep,descripciondepa:descripciondepa,totnoche:totnoche,totsemana:totsemana,totmes:totmes,taanual:taanual,clavesistema:clavesistema,carpeta:carpeta,limpcost:limpcost,frec:frec,periodolim:periodolim,limpieza:limpieza,blancost:blancost,mesesblan:mesesblan,anios:anios,meses:meses,semred:semred,restodias:restodias,descing:descing,nodepto:nodepto,agencia:agencia,idcheck:idcheck,no:inc,tc:tc,tipocomp:tipocompr,indice:ind}, function(data){
		   $("#ver").append(data);
		   sumageneral(val,tipocompr);
		   $(".loadi").fadeOut('slow');load=true;
		   });
		   ids[inc-1]=inc;
		   inc++;
		}else{
		     val = document.getElementById(idcheck).value;
			 valindice = document.getElementById('indice'+val).value;
			 ids.splice(valindice,1);
		     restaopcion(val);
		     $("[id="+tipotarifa+clave+"]").remove();
		     $("#motivodesc"+no).remove();
		     $("#autorizadesc"+no).remove();
		     $("#descsol"+no).remove();
		     $("#solicitud"+no).remove();
		     $(".loadi").fadeIn('slow');load=true;
		     $(".loadi").fadeOut('slow');
			 
			}	
    }
	function sifactura(id,tipocomp){
		var iva=document.getElementById("iva"+id);
		var ish=document.getElementById("ish"+id);
		var sbt=document.getElementById("subtotal"+id);
		var total=document.getElementById("total"+id);
		var depos=document.getElementById("deposito"+id);
		if(tipocomp=='FACTURA'){
			 iva.value = parseFloat(((sbt.value*1) * .16)).toFixed(2);
			 //ish.value = parseFloat(((sbt.value*1) * .03)).toFixed(2);
			 var TOTAL_RENTA_GAR_IMPUESTOS = parseFloat(sbt.value) + parseFloat(iva.value) + parseFloat(ish.value) + parseFloat(depos.value);
			 total.value = TOTAL_RENTA_GAR_IMPUESTOS.toFixed(2);
		 }else{
			 iva.value = 0;
			 var TOTAL_RENTA_GAR_IMPUESTOS = parseFloat(sbt.value) + parseFloat(depos.value);
			 total.value = TOTAL_RENTA_GAR_IMPUESTOS.toFixed(2);
		 }
	}
	function roundNumber(number, decimals) {
	  decimals = parseInt(decimals,10);
	  var dec = Math.pow(10,decimals)
	  console.log(dec,parseFloat(number)*dec);
	  number=""+Math.round(parseFloat(number)*dec+.0000000000001); // fixed the .X99999999999
	  return parseFloat(number.slice(0,-1*decimals) + "." + number.slice(-1*decimals))     
	}
	function sumageneral(id,tipocomp){
		
		 var valiva=document.getElementById("iva"+id).value;
		 var sb=document.getElementById("subtotal"+id).value;
		 var valish=document.getElementById("ish"+id).value;
        
		 subtotg=document.getElementById("subtotalg");
		 ivatotg=document.getElementById("ivag");
		 ishtotg=document.getElementById("ishg");
		 totalg=document.getElementById("totalg");

		 sumaiva=sumaiva+valiva*1;
		 sumaish=sumaish+valish*1;
		 sbtot=sbtot+sb*1;
		 //ishgral=ishgral+valish*1;

		 if(tipocomp=='FACTURA'){
			//ishgral=sbtot*0.03;
		  }else{
			 //ishgral=0.00; 
		  }
		  subtotg.value=parseFloat(sbtot.toFixed(2));
		  ivatotg.value=parseFloat(sumaiva.toFixed(2));
		  ishtotg.value=parseFloat(sumaish.toFixed(2));//iva sin garantia
		  
		  totg=parseFloat(sumaiva+sbtot+sumaish);
		  totalg.value=totg.toFixed(2);
		  
	}
	function sumareinicia(id,tipocomp){
		
		/* var divisa = document.getElementById("dolar"+id).value;
		 var valivareinicia=document.getElementById("iva"+id).value;
		 var sbreinicia=document.getElementById("subtotal"+id).value;
		 var valishsbreinicia=document.getElementById("ish"+id).value; 
		 
		 subtotgreinicia=document.getElementById("subtotalg");
		 ivatotgreinicia=document.getElementById("ivag");
		 ishtotgreinicia=document.getElementById("ishg");
		 totalgreinicia=document.getElementById("totalg");

		 sumaivareinicia=valivareinicia*1;
		 sumaishreinicia=valishsbreinicia*1;
		 sbtotreinicia=sbtotreinicia+sbreinicia*1;
		 //ishgral=ishgral+valish*1;
          alert(sbtotreinicia);
		 if(valivareinicia > 0){
			 alert("convertir a pesos");
		      subtotgreinicia.value=parseFloat((sbtotreinicia).toFixed(2));
		 }else{
			  alert("convertir a dolar");
			  subtotgreinicia.value=parseFloat(sbtotreinicia.toFixed(2));
			
		 }
		 
		  ivatotgreinicia.value=parseFloat(sumaivareinicia.toFixed(2));
		  ishtotgreinicia.value=parseFloat(sumaishreinicia.toFixed(2));//iva sin garantia
		  
		  totgreinicia=parseFloat(sumaivareinicia+sbtotreinicia+sumaishreinicia);
		  totalgreinicia.value=totgreinicia.toFixed(2);*/
		  
		  var totgreinicia = document.getElementById("subtotalg").value;
		  var divisa = document.getElementById("dolar").value;
		  var tipocomp = document.getElementById("tipocomp").value;
		
		  console.log(tipocomp);
		 if(tipocomp == "FACTURA"){
			 totgre = totgreinicia * divisa;
			 document.getElementById("subtotalg").value = totgre.toFixed(2);
			
		 }if(tipocomp == "SIN FACTURA"){
			  totgre = totgreinicia / divisa;
			 document.getElementById("subtotalg").value = totgre.toFixed(2);
		 }
		  
	}
	function restaopcion(id){
		 var iv=document.getElementById("iva"+id).value;
		 var sb=document.getElementById("subtotal"+id).value;
		 var valish=document.getElementById("ish"+id).value;
		 subtotg=document.getElementById("subtotalg");
		 ivatotg=document.getElementById("ivag");
		 ishtotg=document.getElementById("ishg");
		 totalg=document.getElementById("totalg");
			
		 ivatot=parseFloat(ivatotg.value-iv*1);
		 ishgral=parseFloat(ishtotg.value-valish*1);
		 sbtot=parseFloat(subtotg.value-sb*1);
		  
		 ivatotg.value=ivatot.toFixed(2);
		 ishtotg.value=ishgral.toFixed(2);
		 subtotg.value=sbtot.toFixed(2);
		 totg=ivatot+sbtot+ishgral;
		 totalg.value=parseFloat(totg.toFixed(2));
		 sumaiva = ivatot;
		 sumaish = ishgral; 
     }
	function calculamontos(id,pexnoch,pexsem,pexmes,estnoch,estsem,estmes,camanoch,camasem,camames,masnoche,massem,masmes,precuna,limpi,blanc,tipocomp){
		
		tipocomprobante = document.getElementById('tipocomp').value;
		
		var totlimp=0;
		var totbla=0;
		var totest=0;
		var totcamex=0;
		var totcuna=0;
		var totmasc=0;
		var totpeex=0;
		var limpieza=document.getElementById("limpiezas"+id);
		var blanco=document.getElementById("blancos"+id);
		var freclim=document.getElementById("frecuencia"+id);
		var perlim=document.getElementById("periodolim"+id);
		var chkest=document.getElementById("estmnto"+id);
		var cama=document.getElementById("camaex"+id);
		var chkcun=document.getElementById("cuna"+id);
		var chkmas=document.getElementById("mascota"+id);
		var npers=document.getElementById("npers"+id).value;
		var desc=document.getElementById("descuento"+id);
		var dolar=document.getElementById("dolar"+id);
		

		var limpo=document.getElementById("limpcost"+id);
		var blanpo=document.getElementById("blancost"+id);
		var esto=document.getElementById("estmnto2"+id);
		var camae=document.getElementById("camaex2"+id);
		var cun=document.getElementById("cuna2"+id);
		var mkta=document.getElementById("mascota2"+id);
		var vpeex=document.getElementById("persext"+id);

		mto=document.getElementById("monto"+id);
		depos=document.getElementById("deposito"+id);
		var sbt=document.getElementById("subtotal"+id);
		var comn=document.getElementById("comision"+id);
		var iva=document.getElementById("iva"+id);
		var ish=document.getElementById("ish"+id);
		var vtot=document.getElementById("total"+id);
		var capa=document.getElementById("cap"+id).value;
		var limi=document.getElementById("lim"+id).value;
		var cont=document.getElementById("cont"+id);
		var ant=document.getElementById("ant"+id);
		var ant2=document.getElementById("ant2"+id);
		var x=document.getElementById("x"+id);
		
		anos=document.getElementById("noanios"+id).value;
		meses=document.getElementById("nomeses"+id).value;
		semanas=document.getElementById("nosem"+id).value;
		dias=document.getElementById("nodias"+id).value;
		restaopcion(id);
//ESTACIONAMIENTO
if(chkest.checked)
     {
         cost1=anos*(estmes*12);
         cost2=meses*estmes;
         cost3=semanas*estsem;
         cost4=dias*estnoch;	
         totest=cost1+cost2+cost3+cost4;
         re=(mto.value*1)+totpeex+totest+totcamex+totcuna+totmasc+totlimp+totbla;
		 
         sbt.value=parseFloat(re.toFixed(2));
         re=(depos.value*1)+(sbt.value*1);
		 
		 
         vtot.value=parseFloat(re.toFixed(2));
         esto.value=parseFloat(totest.toFixed(2));
		
		 		 
     }else{
	     totest=0;
         re=(mto.value*1)+totpeex+totest+totcamex+totcuna+totmasc+totlimp+totbla;
         sbt.value=parseFloat(re.toFixed(2));
         re=(depos.value*1)+(sbt.value*1);
		 
         vtot.value=parseFloat(re.toFixed(2));
         esto.value=parseFloat(totest.toFixed(2));
		 		 
	 }
//TERMINA ESTACIONAMIENTO
//CAMA EXTRA	
	camex1=anos*(camames*12);
	camex2=meses*camames;
	camex3=semanas*camasem;
	camex4=dias*camanoch;	
	totcamex=(camex1+camex2+camex3+camex4)*(1*cama.value);
	re=(mto.value*1)+totpeex+totest+totcamex+totcuna+totmasc+totlimp+totbla;
    sbt.value=parseFloat(re.toFixed(2));
    re=(depos.value*1)+(sbt.value*1);
    vtot.value=parseFloat(re.toFixed(2));
	camae.value=parseFloat(totcamex.toFixed(2)); 
//TERMINA CAMA EXTRA
//Limpieza EXTRA
	totlimp=(limpieza.value*freclim.value*perlim.value)*(limpi);		
	re=(mto.value*1)+totpeex+totest+totcamex+totcuna+totmasc+totlimp+totbla;
    sbt.value=parseFloat(re.toFixed(2));
    re=(depos.value*1)+(sbt.value*1);
    vtot.value=parseFloat(re.toFixed(2));
	limpo.value=parseFloat(totlimp.toFixed(2)); 
//TERMINA Limpieza EXTRA
//Blancos EXTRA
	totbla=(blanco.value)*(blanc);	
	re=(mto.value*1)+totpeex+totest+totcamex+totcuna+totmasc+totlimp+totbla;
    sbt.value=parseFloat(re.toFixed(2));
    re=(depos.value*1)+(sbt.value*1);
    vtot.value=parseFloat(re.toFixed(2));
	blanpo.value=parseFloat(totbla.toFixed(2)); 
//TERMINA blancos EXTRA	
//CUNA
if(chkcun.checked)
{
     nochanual=(anos*12)*30;
     nochmes=meses*30;
     tsem=semanas*7;
     tnoches=nochanual+nochmes+tsem+parseInt(dias);
     totcuna=tnoches*precuna;
     re=(mto.value*1)+totpeex+totest+totcamex+totcuna+totmasc+totlimp+totbla;
     sbt.value=parseFloat(re.toFixed(2));
     re=(depos.value*1)+(sbt.value*1)/*+(iva.value*1)*/;
     vtot.value=parseFloat(re.toFixed(2));
     cun.value=parseFloat(totcuna.toFixed(2));
}else{
     totcuna=0;
     re=(mto.value*1)+totpeex+totest+totcamex+totcuna+totmasc+totlimp+totbla;
     sbt.value=parseFloat(re.toFixed(2));
     re=(depos.value*1)+(sbt.value*1)/*+(iva.value*1)*/;
     vtot.value=parseFloat(re.toFixed(2));
     cun.value=parseFloat(totcuna.toFixed(2));
}
//TERMINA CUNA
//MASCOTA
if(chkmas.checked)
{
     masc1=anos*(masmes*12);
     masc2=meses*masmes;
     masc3=semanas*massem;
     masc4=dias*masnoche;	
     totmasc=masc1+masc2+masc3+masc4;

     re=(mto.value*1)+totpeex+totest+totcamex+totcuna+totmasc+totlimp+totbla;
     sbt.value=parseFloat(re.toFixed(2));
     re=(depos.value*1)+(sbt.value*1);
     vtot.value=parseFloat(re.toFixed(2));
     mkta.value=parseFloat(totmasc.toFixed(2));
}else{
     totmasc=0;
     re=(mto.value*1)+totpeex+totest+totcamex+totcuna+totmasc+totlimp+totbla;
     sbt.value=parseFloat(re.toFixed(2));
     re=(depos.value*1)+(sbt.value*1);
     vtot.value=parseFloat(re.toFixed(2));
     mkta.value=parseFloat(totmasc.toFixed(2));
}
//TERMINA MASCOTA
//PERSONAS EXTRA
npers=(npers*1)+(capa*1);
if(npers>capa && npers<=limi)
	{	
		nreal=npers-capa;
		cospex1=anos*(pexmes*12);
		cospex2=meses*pexmes;
		cospex3=semanas*pexsem;
		cospex4=dias*pexnoch;
		totpeex=(cospex1+cospex2+cospex3+cospex4)*nreal;
		re=(mto.value*1)+totpeex+totest+totcamex+totcuna+totmasc+totlimp+totbla;
		sbt.value=parseFloat(re.toFixed(2));
		re=(depos.value*1)+(sbt.value*1);
		vtot.value=parseFloat(re.toFixed(2));
		vpeex.value=parseFloat(totpeex.toFixed(2));
		document.getElementById('huespedes'+id).style.display='table-row';   
	}
if(npers<=capa)
	{
	nreal=0;
	cospex1=anos*(pexmes*12);
	cospex2=meses*pexmes;
	cospex3=semanas*pexsem;
	cospex4=dias*pexnoch;
	totpeex=(cospex1+cospex2+cospex3+cospex4)*nreal; 
	re=(mto.value*1)+totpeex+totest+totcamex+totcuna+totmasc+totlimp+totbla;
    sbt.value=parseFloat(re.toFixed(2));
    re=(depos.value*1)+(sbt.value*1);
    vtot.value=parseFloat(re.toFixed(2));
    vpeex.value=parseFloat(totpeex.toFixed(2));
	document.getElementById('huespedes'+id).style.display='none';
	}	
//TERMINA PERSONAS EXTRA
    
     sifactura(id,tipocomp);
	 sumageneral(id,tipocomp);
	}
function enviacotizacion(){
var correomsg="";
var email=document.getElementById("mail").value;
var email2=document.getElementById("mail2").value;
var email3=document.getElementById("mail3").value;

var tpago=document.getElementById("tipopago").value;
var folio=document.getElementById("folio").value;
var moneda=document.getElementById("tipomoneda").value;
var asu="";
correomsg=document.getElementById("contenidocotizacion").innerHTML;
$(".loadi").fadeIn('fast');load=true;	
$.post("enviainfo2.php",{mensaje:correomsg,destino:email,folios:folio,asunto:asu,destino2:email2,destino3:email3},function(data){
$("#msgstatus").html(data);
$(".loadi").fadeOut('fast');
});
}
function getKey(keyStroke) { 
	isNetscape=(document.layers); 
	eventChooser = (isNetscape) ? keyStroke.which : event.keyCode; 
	if (eventChooser==13) { 
	return false; 
	} 
	} 
	document.onkeypress = getKey;
	
function lugarmot(val)
{
 var td1=document.getElementById("lugar");
 var td2=document.getElementById("lugar2");
  if(val!=""){td1.innerHTML="Nombre de la empresa o instituci&oacute;n:";td2.innerHTML="<input type='text' name='empoinst' id='empoinst'>";}else{td1.innerHTML="";td2.innerHTML="";}
}
function validamail(mail,n)
    {
	 num="msgmail"+n;
	 div = document.getElementById(num);
     div.style.display ='';
     $.post("valmail.php", { email:mail,num:n}, function(data){
     $("#"+num).html(data);
	  x= document.getElementById('agregarlelarenta'+n).value;
	  y= document.getElementById('clienteid'+n).value;
	  if(x>0){
var r=confirm("¿Este cliente ya esta registrado deseas ver que se cotizo?");
if (r==true)
  {
   window.location.assign("regmodificar2.php?idcliente="+y+"&idrenta="+x)
  }
	 }
	 
     });
    }
function ndias(){
     var fechain= document.forma.fr.value;
	 var fechafin= document.forma.fr2.value;	
	 $.post("nodias.php", { fini: fechain, ffin: fechafin}, function(data){
	 $("#totdias").html(data);
	 });
}

     var cadena="";
	 function encadena(o){
	     if(o.checked){
		     cadena=cadena+","+o.value;
		 }else{
		    cadena=cadena.replace(","+o.value,"");
		 }
	 }
function convierte(v,d,m){
    var  tcambio=document.getElementById("dolar").value;
    var destino=document.getElementById(d);
    if(m=="USD"){
	     var moneda=v*tcambio;
     }
	 if(m=="MXN"){
	     var moneda=v/tcambio;
	 }
	 destino.value=moneda.toFixed(2);
	 if(destino.value==0.00)destino.value="";
}	 
function mostrar() {

$("#vprevmail").hide();
var div = document.getElementById('flotante');
var div2 = document.getElementById('cargando');
var okenvia=1;
var  prop=cadena;
var  fi=document.getElementById("aDate").value;
var  ff=document.getElementById("dDate").value;
var pr=document.getElementById("presupuesto").value;
var tc=document.getElementById("dolar").value;
var prmx=document.getElementById("presupuestomxn").value;
var extranetta=document.getElementById("medioextranet").value;
//if(pr==""){
//alert("ingrese un presupuesto");
//okenvia=0;}
 if(fi=="" && ff==""){
alert("seleccione una fecha de estancia");}else if(fi==""){
alert("indique la fecha de entrada"); okenvia=0;}else if(ff==""){
alert("indique la fecha de salida"); okenvia=0;}else if(prop==""){
alert("seleccione al menos una propiedad"); okenvia=0;}else if(okenvia==1){
 div.style.display ='';
 div2.style.display ='';
//document.getElementById("tablas").innerHTML="";
$.post("disponibles3_next.php", {propiedad:prop,fechaini:fi,fechafin:ff,presusd:pr,presmx:prmx,tcambio:tc,extranet:extranetta}, function(data){
    $("#flotante").html(data);
    });
  }
}
function cerrar() {
div = document.getElementById('flotante');
div.style.display='none';
}
function marcatodo(o){
     var ob=document.getElementsByName("propiedad");
	for(i=0;i<ob.length;i++){
	     if(o.checked){ob[i].checked=true;}else{ob[i].checked=false;cadena="";}
		 encadena(ob[i]);
	}
}
function imprimir(id){
 var div, imp;
 div = document.getElementById(id);//seleccionamos el objeto
 imp = window.open(" ","popimpr"); //damos un titulo
 //imp.document.open();     //abrimos
 imp.document.write("<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\"><html><head><link type=\"text/css\" href=\"css/estilos.css\" rel=\"stylesheet\"/></head><body>");//agregamos el estilo
 imp.document.write(div.innerHTML+"</body>");//agregamos el objeto
 imp.document.close();
 //imp.location.reload();
 imp.print();  //Abrimos la opcion de imprimir
 //imp.close(); //cerramos la ventana nueva despues de imprimir
}
function lugarpago(v){
	 
     switch(v){
	     case "MEXICO": 
		                              document.getElementById("tipocomp").style.display="block";
		                              document.getElementById("tipocomp").value="";	
		                              document.getElementById("tipocomp").focus();
									  fpago("");
		                              break;
		 case "USA/CANADA":
		                             document.getElementById("tipocomp").style.display="none";							  
		                             document.getElementById("tipocomp").value="SIN FACTURA";
                                     fpago("SIN FACTURA");
									 document.getElementById("tipopago").focus();
                                    break;
        case "EUROPA":
		                             document.getElementById("tipocomp").style.display="none";							  
		                             document.getElementById("tipocomp").value="SIN FACTURA";
                                     fpago("SIN FACTURA");
									 document.getElementById("tipopago").focus();
                                    break; 									
	 }

}
var fact=false;
var mxn=false;
var divisa;
function fpago(com){
	$.post("tipodepago.php", {tipocomprobante:com}, function(data){
    $("#tipopago").html(data);
    });
	
	if(com=="FACTURA"){
		 document.forma.tipomoneda[0].disabled=true;
		 document.forma.tipomoneda[1].checked=true;	 
		 $(".datosfis").show();
		 fact=true;  
		 conversion(fact);
	 }
	 if(com=="SIN FACTURA"){
	     
	     document.forma.tipomoneda[0].disabled=false;
		 document.forma.tipomoneda[0].checked=true;
		 $(".datosfis").hide();
		 fact=false;  
		 conversion(fact);
	}
	if(com==""){
	     reinicia();
		 document.forma.tipomoneda[0].disabled=true;
		 document.forma.tipomoneda[1].disabled=true;
	 }
	 else{
	     //document.getElementById("tipopago").disabled=false;
	 }
}
function conversion(fact){
	
if(divisa == undefined){
divisa=document.getElementById("dolar").value;
}

if(fact && !mxn){	   
	   for(i=0;i<ids.length;i++){
	     if(ids[i]==undefined){}else{
			  alert(ids[i]);
         calcdepos(ids[i]);
		 }
	 }
	  mxn=true;
     }else if(!fact && mxn){
	   for(i=0;i<ids.length;i++){
	     if(ids[i]==undefined){}else{
          alert(ids[i]);
		 calcdepos(ids[i]);
		 }
	 }
      mxn=false;
	 }
	 sumareinicia();
}
function calcdepos(i){
	sb=document.getElementById("subtotal"+i);
	totalc=document.getElementById("total"+i);
	tipocomp = document.getElementById("tipocomp").value;
    depos=document.getElementById("deposito"+i);
	mto=document.getElementById("monto"+i);
	iva = document.getElementById("iva"+i);
	ish = document.getElementById("ish"+i);
	sbt = document.getElementById("subtotal"+i);
	
	estmto=document.getElementById("estmnto2"+i);
	camamto=document.getElementById("camaex2"+i);
	cuna=document.getElementById("cuna2"+i);
	masc=document.getElementById("mascota2"+i);
	perex=document.getElementById("persext"+i);
	limc=document.getElementById("limpcost"+i);
	blancos=document.getElementById("blancost"+i);

    if(fact && !mxn){
		//si selecciono factura
      mt=mto.value*divisa;
	  dp=depos.value*divisa;
	  mto.value=mt.toFixed(2);
	  depos.value=dp.toFixed(2);
	  ivat = (sbt.value*divisa)*.16;
	  isht = mto.value*.03;
	  iva.value=ivat.toFixed(2);
	  ish.value=isht.toFixed(2);
	  
	  est = estmto.value*divisa;
	  cam = camamto.value*divisa;
	  cun = cuna.value*divisa;
	  mas = masc.value*divisa;
	  pext = perex.value*divisa;
	  limp = limc.value*divisa;
	  ctoblancos = blancos.value*divisa;
	  
	  estmto.value = est.toFixed(2);
	  camamto.value = cam.toFixed(2);
	  cuna.value = cun.toFixed(2);
	  masc.value = mas.toFixed(2);
	  perex.value = pext.toFixed(2);
	  limc.value = limp.toFixed(2);
	  blancos.value = ctoblancos.toFixed(2);
	  sbtotal=sb.value*divisa; 
	  sb.value = sbtotal.toFixed(2)
	  
	  $('#triva'+i).show();
	  $('#trish'+i).show();
	  	  
	  totalconcepto= parseFloat(depos.value) + parseFloat(sb.value); 
	  totalc.value = totalconcepto.toFixed(2);
	  
    }
	if(!fact && mxn){
		//si es sin factura 
	  mt=mto.value/divisa;	  
	  dp=depos.value/divisa;
	  iva.value = 0.00;
	  ish.value = 0.00;
	  mto.value=mt.toFixed(2);
	  depos.value=dp.toFixed(2);
	 
	  
	  est = estmto.value/divisa;
	  cam = camamto.value/divisa;
	  cun = cuna.value/divisa;
	  mas = masc.value/divisa;
	  pext = perex.value/divisa;
	  limp = limc.value/divisa;
	  ctoblancos = blancos.value/divisa;
	  
	  estmto.value = est.toFixed(2);
	  camamto.value = cam.toFixed(2);
	  cuna.value = cun.toFixed(2);
	  masc.value = mas.toFixed(2);
	  perex.value = pext.toFixed(2);
	  limc.value = limp.toFixed(2);
	  blancos.value = ctoblancos.toFixed(2);
	  
	  
	  sbtotal=sb.value/divisa; 
	  sb.value = sbtotal.toFixed(2);
	    
	 $('#triva'+i).hide();
	  $('#trish'+i).hide();
		
	  totalconcepto= parseFloat(depos.value) + parseFloat(sb.value); 
	  totalc.value = totalconcepto.toFixed(2);
	  
	}
	document.getElementById("ant2"+i).value=depos.value;
}